{% extends 'admin/base.html.twig'%}

{% block stylesheets %}
    {{ encore_entry_link_tags('admin-seo') }}
{% endblock %}

{% block content %}
    <div class="block-title">
        <p class="title">SEO</p>
        <p class="subtitle">Мета данные страниц</p>
    </div>
    <div class="block-content-wrapper">
        <div class="block-content-menu">
            <a href="#popup-create-page" class="block-content-menu-btn-create btn-create-page {% if urls is empty %}disabled{% endif %}">Добавить страницу</a>
            <div class="block-content-menu-list pages-list">
                <ul>
                    {% for page in pagesList %}
                        <li><a href="{{ page.link }}" {% if page.isActive %} class="active" {% endif %}>
                                {% if page.isActive %}<i class="fas fa-stream"></i> {% else %}<i class="fas fa-bars"></i>{% endif%}
                                {{ page.displayName }}</a></li>
                    {% endfor %}
                </ul>
            </div>
        </div>
        <div class="block-content-menu-mobile">
            <a href="#popup-create-page" class="block-content-menu-btn-create btn-create-page {% if urls is empty %}disabled{% endif %}"> + </a>
            <div class="block-content-menu-list pages-list">
                <ul>
                    {% for page in pagesList %}
                        <li><a href="{{ page.link }}" {% if page.isActive %} class="active" {% endif %}>
                                {% if page.isActive %}<i class="fas fa-stream"></i> {% else %}<i class="fas fa-bars"></i>{% endif%}
                                {{ page.displayName }}</a></li>
                    {% endfor %}
                </ul>
            </div>
        </div>
        <div class="block-content">
            {% if meta is not empty %}
                <div class="block-content-header">
                    <p class="title">{{ metaTitle }}</p>
                    <div class="title-menu">
                        <a href="#" class="btn-save-meta btn-save" data-meta-id="{{ meta.id }}"><i class="fas fa-save"></i> <span>Сохранить</span></a>
                    </div>
                </div>
                <div class="content-list-wrapper meta-list table-large-screen">
                    <form class="form-meta">
                        <table class="table table-bordered table-content">
                            <tr>
                                <td>
                                    <label>Url:</label>
                                </td>
                                <td>
                                    <input type="text" name="url" value="{{ meta.url }}" disabled/>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <label>Display name:</label>
                                </td>
                                <td>
                                    <input type="text" name="displayName" value="{{ meta.displayName }}"/>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <label>Title:</label>
                                </td>
                                <td>
                                    <input type="text" name="title" value="{{ meta.title }}"/>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <label>Keywords:</label>
                                </td>
                                <td>
                                    <input type="text" name="keywords" value="{{ meta.keywords }}"/>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <label>Description:</label>
                                </td>
                                <td>
                                    <input type="text" name="description" value="{{ meta.description }}"/>
                                </td>
                            </tr>
                        </table>
                    </form>
                </div>
                <div class="content-list-wrapper meta-list table-mobile">
                    <form class="form-meta">
                        <table class="table table-bordered table-content">
                            <tr>
                                <td>
                                    <label>Url:</label>
                                    <input type="text" name="url" value="{{ meta.url }}" disabled/>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <label>Display name:</label>
                                    <input type="text" name="displayName" value="{{ meta.displayName }}"/>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <label>Title:</label>
                                    <input type="text" name="title" value="{{ meta.title }}"/>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <label>Keywords:</label>
                                    <input type="text" name="keywords" value="{{ meta.keywords }}"/>
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <label>Description:</label>
                                    <input type="text" name="description" value="{{ meta.description }}"/>
                                </td>
                            </tr>
                        </table>
                    </form>
                </div>
            {% endif %}
        </div>
    </div>
    <div id="popup-create-page" class="popup-form-wrapper white-popup mfp-hide">
        <form>
            <p class="label">Name:</p>
            <p class="error"></p>
            <input type="text" class="page-name"/>
            <p class="label">Url:</p>
            <select class="selector-url-id">
                {% for url in urls %}
                    <option value="{{ url.id }}">{{ url.url }}</option>
                {% endfor %}
            </select>
            <button class="popup-btn-create-page">Создать</button>
        </form>
    </div>
{% endblock %}

{% block javascripts %}
    {{ encore_entry_script_tags('admin-seo') }}
{% endblock %}
